org.flexdock.plaf.resources

## Class FontResourceHandler

- java.lang.Object
- - org.flexdock.plaf.resources.ResourceHandler
  - - org.flexdock.plaf.resources.FontResourceHandler

    public class FontResourceHandler
    extends ResourceHandler

Author:
  Christopher Butler

### Field Summary

Fields
`static java.lang.String` `BASE_FONT_KEY`

### Constructor Summary

Constructors
Constructor and Description
`FontResourceHandler()`

### Method Summary

Methods
`java.lang.Object` `getResource(java.lang.String fontData)`

### Methods inherited from class org.flexdock.plaf.resources.ResourceHandler

`getArgs`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BASE_FONT_KEY

    public static final java.lang.String BASE_FONT_KEY

See Also:
  Constant Field Values

### Constructor Detail

#### FontResourceHandler

    public FontResourceHandler()

### Method Detail

#### getResource

    public java.lang.Object getResource(java.lang.String fontData)

Overrides:
  `getResource` in class `ResourceHandler`